Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.lookup
Class StructuredDataLookup

    java.lang.Object
      org.apache.logging.log4j.core.lookup.StructuredDataLookup

All Implemented Interfaces:
  StrLookup

    @Plugin(name="sd",
            category="Lookup")
    public class StructuredDataLookup

extends Object
implements StrLookup

Looks up keys from `StructuredDataMessage` log messages.

Field Summary

Fields inherited from interface org.apache.logging.log4j.core.lookup.StrLookup
`CATEGORY`

Constructor Summary
`StructuredDataLookup()`

Method Summary
`String` | `lookup(LogEvent event, String key)` Looks up the value for the key using the data in the LogEvent.
`String` | `lookup(String key)` Returns `null`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StructuredDataLookup

    public StructuredDataLookup()

Method Detail

### lookup

    public String lookup(String key)

  Returns `null`. This Lookup plugin does not make sense outside the context of a LogEvent.

  Specified by:
    `lookup` in interface `StrLookup`
  Parameters:
    `key` - the key to be looked up, may be null
  Returns:
    `null`

### lookup

    public String lookup(LogEvent event,
                         String key)

  Looks up the value for the key using the data in the LogEvent.

  Specified by:
    `lookup` in interface `StrLookup`
  Parameters:
    `event` - The current LogEvent.
    `key` - the key to be looked up, may be null
  Returns:
    The value associated with the key.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.